<?php

use tests\codeception\producer\_pages\ContactPage;
use tests\codeception\producer\FunctionalTester;

/* @var $scenario Codeception\Scenario */

$I = new FunctionalTester($scenario);
$contactPage = ContactPage::openBy($I);

$I->wantTo("m'assurer que le formulaire de contact s'affiche et fonctionne");
$I->see('Contact', 'h2');

$I->amGoingTo("envoyer un message");
$contactPage->submit([
    'name' => 'Test',
    'email' => 'test@opendistrib.net',
    'subject' => 'Sujet',
    'body' => 'Message',
    'isTest' => 'isTest'
]);
$I->see('Votre message a bien été envoyé');
